监控与采集相关接口/Grafana 集成
POSTGrafana起始版本 1.0同步需要认证
导入仪表盘模板
导入仪表盘模板租户S Grafana组织。
调试可用性
在线调试
使用当前认证信息和示例参数提交 Mock 请求。
路径参数
请求参数
路径参数
templateIdString必填模板ID。
请求体字段
tenantIdString必填租户ID。
示例: tenant-001-xyz
datasourceIdString必填数据源ID。
示例: ds-001-abc
overwriteBoolean必填覆盖。
示例: false
folderIdInteger必填文件夹ID。
示例: 20
响应状态
请求地址
POST/api/v1/monitoring/grafana/dashboard-templates/{templateId}/import
/api/v1/monitoring/grafana/dashboard-templates/{templateId}/import
请求示例
curl -X POST '{host}/api/v1/monitoring/grafana/dashboard-templates/{templateId}/import' -H 'Authorization: Bearer {token}' -H 'Content-Type: application/json' -d '{"tenantId":"tenant-001-xyz","datasourceId":"ds-001-abc","overwrite":false,"folderId":20}'
响应示例
200{
"id": "imported-001-abc",
"templateId": "tpl-vm-overview",
"grafanaUid": "abcd1234efgh",
"grafanaUrl": "http://grafana.example.com/d/abcd1234efgh",
"datasourceId": "ds-001-abc",
"tenantId": "tenant-001-xyz",
"importedAt": "example"
}变更历史
此 API 暂无变更历史记录。
